#include "st7735s.h"

//     ;
//     TIM16.
void udelay(uint32_t us)
{
	static bool init=false;
	if(!init)
	{
		init=true;
		RCC->APB2ENR|=RCC_APB2ENR_TIM16EN;
		TIM16->CR1|=TIM_CR1_CEN;
	}
	us*=24;
	uint32_t n0=TIM16->CNT;
	uint32_t n=0;
	uint32_t nc=0;
	uint32_t ncurr=0;
	uint32_t nprev=n0;
	do
	{
		ncurr=TIM16->CNT;
		if(ncurr<nprev)
			nc+=0x10000;
		nprev=ncurr;
		n=nc+ncurr-nprev;
	}while(n<us);
}
